Subject: Re: [saag] Recommended Usages of SHA-512/224, SHA-512/256 (draft-dang-turner-sha-512-224-256-00.txt)

From: Peter Gutmann <[email-masked]>
Date: Fri, 24 May 2013 00:54:12 +0000

Sam Hartman <[email-masked]> writes:

>Having just spent two months debugging what ended up being a bug in how some
>verifiers reported the absence of SHA-256 support (and the shocking lack of
>SHA-256 support in places where I was kind of hoping it would be present by
>now), i'd like to agree with Paul that this assumption is really bad.  The bar
>to overcome for adding a new hash algorithm in offline verification can be
>really high in practice.

See also Question J of the "Crypto Gardening Guide and Planting Tips",
http://www.cs.auckland.ac.nz/~pgut001/pubs/crypto_guide.txt (based on an
informal survey of crypto app developers at the time).

Peter.